"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePlayer = usePlayer;
exports.PlayerProvider = exports.PlayerContext = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var React = _interopRequireWildcard(require("react"));

var _player = require("../reducers/player");

var defaultPlayerContext = {
  manager: {},
  setManager: function setManager() {},
  getPlayer: function getPlayer() {
    return _player.initialState;
  }
};
var PlayerContext = /*#__PURE__*/React.createContext(defaultPlayerContext);
exports.PlayerContext = PlayerContext;

function usePlayer() {
  return React.useContext(PlayerContext);
}

var PlayerProvider = function PlayerProvider(_ref) {
  var children = _ref.children;

  var _React$useState = React.useState(),
      _React$useState2 = (0, _slicedToArray2["default"])(_React$useState, 2),
      manager = _React$useState2[0],
      setManager = _React$useState2[1];

  var _React$useState3 = React.useState(_player.initialState),
      _React$useState4 = (0, _slicedToArray2["default"])(_React$useState3, 2),
      player = _React$useState4[0],
      setPlayer = _React$useState4[1];

  return /*#__PURE__*/React.createElement(PlayerContext.Provider, {
    value: {
      player: player,
      manager: manager,
      setPlayer: setPlayer,
      setManager: setManager
    }
  }, children);
};

exports.PlayerProvider = PlayerProvider;